#include "Buggy.h"
#include <Foundation/Foundation.h>
#include <math.h>
@implementation Buggy
	@synthesize width;
	
	-(id) init: (CursesScreen*) s withBasePosition: (Point)bPoint{
		width = 7;
		screen = s;
		base = bPoint;
		deltaY = 0;
		y = 0;
		wheelState = 0;
		 
		return self;
	}
	
	-(void) jump{
		if(y == 0)
			deltaY = 0.7;
	}
	
	-(void) draw{
		char wheelChar = wheelState == 0 ? '/' : wheelState == 1 ? '-' : '\\';
		if(y<0.3) [screen putStr: 					@" ,0mmm" at: (Point){.x=base.x, .y = base.y - y - 1}]; // egy pici magassagfuggo animacio
		else if(y<0.6) [screen putStr: 				@" ,m0mm" at: (Point){.x=base.x, .y = base.y - y - 1}];
		else [screen putStr: 						@" ,mm0m" at: (Point){.x=base.x, .y = base.y - y - 1}];
		[screen putStr: [NSString stringWithFormat: @"(%c)-(%c)", wheelChar, wheelChar]
																	at: (Point){.x=base.x, .y = base.y - y}];
		wheelState = (wheelState + 1) % 3; 		// kerek forgatas
		y= max(0,y+deltaY);
		if(![self onGround]) deltaY-=0.17;		// gravitacio
		else deltaY = 0;
	}
	
	-(bool) onGround{
		return y <= 0;
	}
@end