#ifndef Game_INCLUDED
#define Game_INCLUDED

#include "CursesScreen.h"
#include "Buggy.h"

@interface Game : NSObject {
	CursesScreen* screen; //amire rajzolhatunk (bar itt csak a leallitashoz hasznaljuk)
	
	Buggy* buggy; // a buggy
	int maxY; // a sorok szama
	int maxX; // az oszlopok szama
	
	char groundText[500]; // a "fold". megjegyzendo, hogy csak 500 oszlop szeles konzolig mukodik, ami a normalis 8-9 szerese
	int groundIndex;
	
	
	bool running;
	bool gameOver;
	bool paused;
}
	-(id) init: (CursesScreen*) scr;
	-(void) draw;
	-(void) initGroundText;
	-(void) generateGroundText: (int) i;
	-(void) handleInput: (char) c;
@end

#endif