#include <curses.h>
#include <Foundation/Foundation.h>
#include <Foundation/NSInvocation.h>

#include <time.h>
#include <stdlib.h>

#include "CursesScreen.h"
#include "Game.h"

int main(void)
{ 
	NSAutoreleasePool * pool = [NSAutoreleasePool new];
	
	CursesScreen* scr= [CursesScreen instance];			// a kepernyo inicializalasa es letrehozasa
	Game* g = [[Game alloc] init: scr];					// a jatek letrehozasa
	
	[scr.draw attach: g withSelector: @selector(draw)]; // az esemenyre valo feliratkozas
	
	[scr start]; 										// a megjelenito ciklus elinditasa
	
	[pool release];
	return 0;
}